## org.eclipse.datatools.modelbase.sql.statements
Interface SQLStatement

All Known Subinterfaces:
  QueryChangeStatement, QueryDeleteStatement, QueryInsertStatement, QueryMergeStatement, QuerySelectStatement, QueryStatement, QueryUpdateStatement, SQLConnectionStatement, SQLControlStatement, SQLDataChangeStatement, SQLDataStatement, SQLDiagnosticsStatement, SQLDynamicStatement, SQLSchemaStatement, SQLSessionStatement, SQLStatementDefault, SQLTransactionStatement

All Known Implementing Classes:
  QueryChangeStatementImpl, QueryDeleteStatementImpl, QueryInsertStatementImpl, QueryMergeStatementImpl, QuerySelectStatementImpl, QueryStatementImpl, QueryUpdateStatementImpl, SQLStatementDefaultImpl

    public interface SQLStatement

A representation of the model object 'SQL Statement'. Reference: 5WD-02-Foundation-2002-12 4.33 SQL-statements

See Also:
  `SQLStatementsPackage.getSQLStatement()`

Method Summary
`java.lang.String` `getSQL()`
`void` `setSQL(java.lang.String sqlText)`

Method Detail

### getSQL

    java.lang.String getSQL()

### setSQL

    void setSQL(java.lang.String sqlText)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.